# Interface SocketHandlerFunction

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface SocketHandlerFunction

## Method Summary

Modifier and Type
Method
Description
`Socket`
`apply(Options options, String host)`

## Method Details

### apply

Socket apply(Options options, String host) throws IOException

Throws:
  `IOException`